bugzilla.mozilla.org has resumed normal operation. Attachments prior to 2014 will be unavailable for a few days. This is tracked in Bug 1475801.
Please report any other irregularities here.

Compatibility test results repeating

RESOLVED WONTFIX

Status

addons.mozilla.org Graveyard
Compatibility Tools
P2
normal
RESOLVED WONTFIX
7 years ago
3 years ago

People

(Reporter: fligtar, Unassigned)

Tracking

Details

(Reporter)

Description

7 years ago
This add-on's compatibility results page is pretty hairy:
https://addons.allizom.org/en-US/developers/addon/tinypl/validation-result/4

It starts off with tests unrelated to compatibility and then repeats the same compatibility test failures for 4 different Firefox versions.

We should only show those results once and for the Firefox version it's relevant for (Firefox 5 in this case).

Seeing these different versions also makes me realize I don't understand how the compatibility tests are set up but I was planning on adding 5.* before running the tests and bumping the compatibility to that, so let me know if that's going to be a problem.

Comment 1

7 years ago
Can someone op me on allizom so I can see these validation results pages? My email on there is mbasta@mozilla.com.
(Reporter)

Comment 2

7 years ago
(In reply to comment #1)
> Can someone op me on allizom so I can see these validation results pages? My
> email on there is mbasta@mozilla.com.

done
(In reply to comment #0)
> ...I was planning on adding 5.* before
> running the tests and bumping the compatibility to that, so let me know if
> that's going to be a problem.

That should work fine.  The navigator compatibility test will still run since it is applied to 4.2a1pre or higher.

Comment 4

7 years ago
This looks like it's a problem because the zamboni side is displaying each message as both its standard validation version and its compatibilitiy validation version. That's why one is an error and one is a warning, or at least that's how it would appear. 

Based on the JSON results, I think the only thing that's a validator-side issue is 4.0.* being thrown into the mix. Not sure where that's coming from, will investigate.
Thanks for filing this.  Due to resource constraints we are closing bugs which we won't realistically be able to fix.  If you have a patch that applies to this bug please reopen.

For more info see http://micropipes.com/blog/2014/09/24/the-great-add-on-bug-triage/
Status: NEW → RESOLVED
Last Resolved: 4 years ago
Resolution: --- → WONTFIX
(Assignee)

Updated

3 years ago
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.